Bug 3883 - RPM error reporting is too concise for wrong package dependencies
: RPM error reporting is too concise for wrong package dependencies
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-03-25 18:39 by
Modified: 2005-07-13 15:45 (History)


Attachments
Include dependency token into reported error message (1.14 KB, patch)
2004-03-25 18:40, Alexander Bokovoy
no flags Details | Diff
Proposed change (2.18 KB, patch)
2004-04-26 17:31, Dmitry V. Levin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-03-25 18:39:49
RPM error reporting does not report which exactly token produced problem in case
of processing autogenerated dependencies. In this case RPM already parsed spec
file and thus current line points behind last spec file line which makes
impossible to find out what happens without using RPM_SCRIPTS_DEBUG=1 and
carefully analyzing lots of debug output.
------- Comment #1 From 2004-03-25 18:40:37 -------
Created an attachment (id=366) [details]
Include dependency token into reported error message
------- Comment #2 From 2004-04-26 17:31:54 -------
Created an attachment (id=398) [details]
Proposed change

I'm about to apply this patch.
It works for me, please check whether it fits your requirements.
------- Comment #3 From 2004-04-26 18:15:59 -------
I think it is OK.
------- Comment #4 From 2004-05-17 19:00:54 -------
Fixed in rpm-4.0.4-alt37